complexType "InterestStatement"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 13 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, issuerPartyReference?, receiverPartyReference?, creditSupportAgreement?, interestRequirement?, comment?, party*, account*
</...>

Content Model Elements (13):

  account, comment (in interestStatement), correlationId, creditSupportAgreement (in interestStatement), header (defined in NotificationMessage complexType), interestRequirement (in interestStatement), issuerPartyReference (in interestStatement), | onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), receiverPartyReference (in interestStatement), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  interestStatement

Known Usage Locations

- As direct type of elements (1):
  interestStatement

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) InterestStatement

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="InterestStatement"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/> <xsd:element minOccurs="0" name="interestRequirement" type="InterestStatementRequirement"/> <!-- the content model is essentially the same as for the interest notification (IN1) except that NO treatment is needed for the Interest Statement --> <xsd:element minOccurs="0" name="comment" type="xsd:string"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/13)
comment

  Type: | xsd:string, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="comment" type="xsd:string"/>

creditSupportAgreement

  Type: | CreditSupportAgreement, complex content

  The agreement executed between the parties and intended to govern collateral arrangement for all OTC derivatives transactions between those parties.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="creditSupportAgreement" type="CreditSupportAgreement"/>

interestRequirement

  Type: | InterestStatementRequirement, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="interestRequirement" type="InterestStatementRequirement"/>

issuerPartyReference

  Type: | PartyReference, empty content

  The party issuing the interest statement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"/>

receiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the interest statement.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.